//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CEventsPart;

//=======================================================================
class CEventsFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CEventsFrame)
						CEventsFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CEventsPart* eventsPart);
	virtual 			~CEventsFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Handled	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
	virtual FW_Handled	DoCharKey(Environment* ev, 
							const FW_CCharKeyEvent& theCharKeyEvent);
	virtual FW_Handled 	DoVirtualKey(Environment* ev, 
						  const FW_CVirtualKeyEvent& theVirtualKeyEvent);
};

//=======================================================================
#endif
